id: https://w3id.org/gaia-x/development#gaia-x
name: gaia-x
prefixes:
  gx: https://w3id.org/gaia-x/development#
  linkml: https://w3id.org/linkml/
imports:
  - linkml:types
  - address
  - availability-zone
  - code-artifact
  - compliance
  - compute-function-configuration
  - compute-function-service-offering
  - connectivity-configuration
  - connectivity-service-offering
  - contact-information
  - container-image
  - container-resource-limits
  - country-names
  - cpu
  - cryptographic-security-standards
  - cryptography
  - customer-instructions
  - data-exchange-component
  - data-exchange-wg
  - data-portability
  - data-protection-policy
  - data-resource
  - data-transfer
  - datacenter
  - device
  - disk
  - endpoint
  - endpoint
  - energy-mix
  - energy-usage-efficiency
  - gaia-x-entity
  - gaia-x-entity
  - gpu
  - image
  - instantiation-requirement
  - interconnection-service-offering
  - issuer
  - legal-document
  - legal-person
  - legitimate-interest
  - link-connectivity-service-offering
  - measure
  - memory
  - mime-types
  - network-connectivity-service-offering
  - participant
  - physical-connectivity-service-offering
  - pxe-image
  - qos
  - quantity
  - region
  - region-codes
  - resource
  - service-offering
  - standard-conformity
  - storage-configuration
  - storage-service-offering
  - sub-contractor
  - sub-processor-data-transfer
  - third-country-data-transfer
  - water-usage-effectiveness
  - slots
default_prefix: gx
default_range: string

classes:

  GaiaX:
    description: Top level element of Gaia-X ecosystem.
    abstract: true
